Execute Skill by name
curl --request POST \
--url https://{api-address}.org.machina.gg/skill/executor/{name} \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"agent-config": {
"delay": true
},
"messages": [
{}
],
"context-skill": {}
}
'import requests
url = "https://{api-address}.org.machina.gg/skill/executor/{name}"
payload = {
"agent-config": { "delay": True },
"messages": [{}],
"context-skill": {}
}
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({'agent-config': {delay: true}, messages: [{}], 'context-skill': {}})
};
fetch('https://{api-address}.org.machina.gg/skill/executor/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"skill_run_id": "<string>",
"task_id": "<string>"
},
"message": "<string>"
}Skills
Execute Skill by Name
Same as Execute Skill by ID, but resolved by skill name first.
POST
/
skill
/
executor
/
{name}
Execute Skill by name
Authorizations
API key authentication
Path Parameters
⌘I

